complexType "DividendConditions"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 20 elements
Defined: | globally in fpml-eq-shared-5-5.xsd; see XML source
Includes: | definitions of 15 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | dividendReinvestment?, dividendEntitlement?, dividendAmount?, dividendPaymentDate?, ((dividendPeriodEffectiveDate?, dividendPeriodEndDate?) | dividendPeriod)?, extraOrdinaryDividends?, excessDividendAmount?, (currency | determinationMethod | currencyReference)?, dividendFxTriggerDate?, interestAccrualsMethod?, numberOfIndexUnits?, declaredCashDividendPercentage?, declaredCashEquivalentDividendPercentage?, nonCashDividendTreatment?, dividendComposition?, specialDividends?
</...>

Content Model Elements (20):

  currency (defined in CurrencyAndDeterminationMethod.model group),
  currencyReference,
  declaredCashDividendPercentage,
  declaredCashEquivalentDividendPercentage,
  determinationMethod (defined in CurrencyAndDeterminationMethod.model group),
  dividendAmount,
  dividendComposition,
  dividendEntitlement,
  dividendFxTriggerDate,
  dividendPaymentDate,
  dividendPeriod (defined in DividendConditions complexType),
  dividendPeriodEffectiveDate,
  dividendPeriodEndDate,
  dividendReinvestment,
  excessDividendAmount,
  extraOrdinaryDividends,
  interestAccrualsMethod,
  nonCashDividendTreatment,
  numberOfIndexUnits,
  specialDividends (defined in DividendConditions complexType)

All Direct / Indirect Based Elements (2):

  dividendConditions (defined in EquityDerivativeLongFormBase complexType),
  dividendConditions (in return in returnLeg)

Known Usage Locations

- As direct type of elements (2):
  dividendConditions (defined in EquityDerivativeLongFormBase complexType),
  dividendConditions (in return in returnLeg)

Annotation
A type describing the conditions governing the payment of dividends to the receiver of the equity return. With the exception of the dividend payout ratio, which is defined for each of the underlying components.
XML Source (w/o annotations (15); see within schema source)

<xsd:complexType name="DividendConditions"> <xsd:sequence> <xsd:element minOccurs="0" name="dividendReinvestment" type="xsd:boolean"/> <xsd:element minOccurs="0" name="dividendEntitlement" type="DividendEntitlementEnum"/> <xsd:element minOccurs="0" name="dividendAmount" type="DividendAmountTypeEnum"/> <xsd:element minOccurs="0" name="dividendPaymentDate" type="DividendPaymentDate"/> <xsd:choice minOccurs="0"> <xsd:sequence> <xsd:element minOccurs="0" name="dividendPeriodEffectiveDate" type="DateReference"/> <xsd:element minOccurs="0" name="dividendPeriodEndDate" type="DateReference"/> </xsd:sequence> <xsd:element name="dividendPeriod" type="DividendPeriodEnum"/> </xsd:choice> <xsd:element minOccurs="0" name="extraOrdinaryDividends" type="PartyReference"/> <xsd:element minOccurs="0" name="excessDividendAmount" type="DividendAmountTypeEnum"/> <xsd:group minOccurs="0" ref="CurrencyAndDeterminationMethod.model"/> <xsd:element minOccurs="0" name="dividendFxTriggerDate" type="DividendPaymentDate"/> <xsd:element minOccurs="0" name="interestAccrualsMethod" type="InterestAccrualsCompoundingMethod"/> <xsd:element minOccurs="0" name="numberOfIndexUnits" type="NonNegativeDecimal"/> <xsd:group ref="DeclaredCashAndCashEquivalentDividendPercentage.model"/> <xsd:element minOccurs="0" name="nonCashDividendTreatment" type="NonCashDividendTreatmentEnum"/> <xsd:element minOccurs="0" name="dividendComposition" type="DividendCompositionEnum"/> <xsd:element minOccurs="0" name="specialDividends" type="xsd:boolean"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 15/20)
dividendAmount

  Type: | DividendAmountTypeEnum, simple content

  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "RecordAmount" | - | 100% of the gross cash dividend per Share paid over record date during relevant Dividend Period See: http://www.FpML.org
  "ExAmount" | - | 100% of gross cash dividend per Share paid after the Ex Div date during relevant Dividend Period. See: http://www.FpML.org
  "PaidAmount" | - | 100% of gross cash dividend per Share paid during relevant Dividend Period. See: http://www.FpML.org
  "AsSpecifiedInMasterConfirmation" | - | The Amount is determined as provided in the relevant Master Confirmation. See: http://www.FpML.org

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="dividendAmount" type="DividendAmountTypeEnum"/>

dividendComposition

  Type: | DividendCompositionEnum, simple content

  Defines how the composition of Dividends is to be determined.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "EquityAmountReceiverElection" | - | The Equity Amount Receiver determines the composition of dividends (subject to conditions). See: http://www.FpML.org
  "CalculationAgentElection" | - | The Calculation Agent determines the composition of dividends (subject to conditions). See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dividendComposition" type="DividendCompositionEnum"/>

dividendEntitlement

  Type: | DividendEntitlementEnum, simple content

  Defines the date on which the receiver on the equity return is entitled to the dividend.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "ExDate" | - | Dividend entitlement is on the dividend ex-date. See: http://www.FpML.org
  "RecordDate" | - | Dividend entitlement is on the dividend record date. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dividendEntitlement" type="DividendEntitlementEnum"/>

dividendFxTriggerDate

  Type: | DividendPaymentDate, complex content

  Specifies the date on which the FX rate will be considered in the case of a Composite FX swap.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dividendFxTriggerDate" type="DividendPaymentDate"/>

dividendPaymentDate

  Type: | DividendPaymentDate, complex content

  Specifies when the dividend will be paid to the receiver of the equity return. Has the meaning as defined in the ISDA 2002 Equity Derivatives Definitions. Is not applicable in the case of a dividend reinvestment election.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dividendPaymentDate" type="DividendPaymentDate"/>

dividendPeriod

  Type: | DividendPeriodEnum, simple content

  Defines the First Period or the Second Period, as defined in the 2002 ISDA Equity Derivatives Definitions.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "FirstPeriod" | - | "First Period" per the 2002 ISDA Equity Derivatives Definitions will apply. See: http://www.FpML.org
  "SecondPeriod" | - | "Second Period" per the 2002 ISDA Equity Derivatives Definitions will apply. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="dividendPeriod" type="DividendPeriodEnum"/>

dividendPeriodEffectiveDate

  Type: | DateReference, empty content

  Dividend period has the meaning as defined in the ISDA 2002 Equity Derivatives Definitions. This element specifies the date on which the dividend period will commence.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dividendPeriodEffectiveDate" type="DateReference"/>

dividendPeriodEndDate

  Type: | DateReference, empty content

  Dividend period has the meaning as defined in the ISDA 2002 Equity Derivatives Definitions. This element specifies the date on which the dividend period will end. It includes a boolean attribute for defining whether this end date is included or excluded from the dividend period.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dividendPeriodEndDate" type="DateReference"/>

dividendReinvestment

  Type: | xsd:boolean, predefined, simple content

  Boolean element that defines whether the dividend will be reinvested or not.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dividendReinvestment" type="xsd:boolean"/>

excessDividendAmount

  Type: | DividendAmountTypeEnum, simple content

  Determination of Gross Cash Dividend per Share.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "RecordAmount" | - | 100% of the gross cash dividend per Share paid over record date during relevant Dividend Period See: http://www.FpML.org
  "ExAmount" | - | 100% of gross cash dividend per Share paid after the Ex Div date during relevant Dividend Period. See: http://www.FpML.org
  "PaidAmount" | - | 100% of gross cash dividend per Share paid during relevant Dividend Period. See: http://www.FpML.org
  "AsSpecifiedInMasterConfirmation" | - | The Amount is determined as provided in the relevant Master Confirmation. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="excessDividendAmount" type="DividendAmountTypeEnum"/>

extraOrdinaryDividends

  Type: | PartyReference, empty content

  Reference to the party which determines if dividends are extraordinary in relation to normal levels.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="extraOrdinaryDividends" type="PartyReference"/>

interestAccrualsMethod

  Type: | InterestAccrualsCompoundingMethod, complex content

  Annotation 1 [src]:
  Defines the way in which interests are accrued: the applicable rate (fixed or floating reference) and the compounding method.
  Annotation 2 [src]:
  FpML entity
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="interestAccrualsMethod" type="InterestAccrualsCompoundingMethod"/>

nonCashDividendTreatment

  Type: | NonCashDividendTreatmentEnum, simple content

  Defines treatment of Non-Cash Dividends.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "PotentialAdjustmentEvent" | - | The treatment of any non-cash dividend shall be determined in accordance with the Potential Adjustment Event provisions. See: http://www.FpML.org
  "CashEquivalent" | - | Any non-cash dividend shall be treated as a Declared Cash Equivalent Dividend. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="nonCashDividendTreatment" type="NonCashDividendTreatmentEnum"/>

numberOfIndexUnits

  Type: | NonNegativeDecimal, simple content

  Defines the Number Of Index Units applicable to a Dividend.
  Simple Content

  xsd:decimal

  minInclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="numberOfIndexUnits" type="NonNegativeDecimal"/>

specialDividends

  Type: | xsd:boolean, predefined, simple content

  Specifies the method according to which special dividends are determined.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="specialDividends" type="xsd:boolean"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.